Index: /utils/CI/sette/sette.sh
===================================================================
--- /utils/CI/sette/sette.sh	(revision 10428)
+++ /utils/CI/sette/sette.sh	(revision 10429)
@@ -169,5 +169,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -192,5 +191,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
@@ -231,5 +229,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 8
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -256,5 +253,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 8
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -292,5 +288,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_use_calving .true.
@@ -339,5 +334,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg nn_test_icebergs -1
@@ -408,5 +402,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_wave .true.
@@ -454,5 +447,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_wave .true.
@@ -510,5 +502,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
@@ -545,5 +536,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
@@ -595,5 +585,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
@@ -634,5 +623,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
@@ -684,5 +672,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -703,5 +690,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
@@ -740,5 +726,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -763,5 +748,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -799,5 +783,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_ice_cfg ln_icediachk .true.
@@ -819,5 +802,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
@@ -858,5 +840,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -882,5 +863,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -921,5 +901,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_diaobs .true.
@@ -971,5 +950,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_diaobs .true.
@@ -1125,5 +1103,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_48\"
@@ -1132,5 +1109,4 @@
     set_namelist 1_namelist_cfg jpni 4
     set_namelist 1_namelist_cfg jpnj 8
-    set_namelist 1_namelist_cfg jpnij 32
     set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_48\"
@@ -1139,5 +1115,4 @@
     set_namelist 2_namelist_cfg jpni 4
     set_namelist 2_namelist_cfg jpnj 8
-    set_namelist 2_namelist_cfg jpnij 32
     set_namelist 2_namelist_cfg ln_ctl .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_48\"
@@ -1146,5 +1121,4 @@
     set_namelist 3_namelist_cfg jpni 4
     set_namelist 3_namelist_cfg jpnj 8
-    set_namelist 3_namelist_cfg jpnij 32
     set_namelist 3_namelist_cfg ln_ctl .true.
 
@@ -1171,5 +1145,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_84\"
@@ -1178,5 +1151,4 @@
     set_namelist 1_namelist_cfg jpni 8
     set_namelist 1_namelist_cfg jpnj 4
-    set_namelist 1_namelist_cfg jpnij 32
     set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_84\"
@@ -1185,5 +1157,4 @@
     set_namelist 2_namelist_cfg jpni 8
     set_namelist 2_namelist_cfg jpnj 4
-    set_namelist 2_namelist_cfg jpnij 32
     set_namelist 2_namelist_cfg ln_ctl .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_84\"
@@ -1192,5 +1163,4 @@
     set_namelist 3_namelist_cfg jpni 8
     set_namelist 3_namelist_cfg jpnj 4
-    set_namelist 3_namelist_cfg jpnij 32
     set_namelist 3_namelist_cfg ln_ctl .true.
 
@@ -1288,5 +1258,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     #set_namelist namelist_ice_cfg ln_icediachk .true.
@@ -1311,5 +1280,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000120_restart\"
@@ -1348,5 +1316,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1373,5 +1340,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
Index: /utils/CI/sette/sette_test-cases.sh
===================================================================
--- /utils/CI/sette/sette_test-cases.sh	(revision 10428)
+++ /utils/CI/sette/sette_test-cases.sh	(revision 10429)
@@ -412,5 +412,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 6
     set_namelist namelist_cfg ln_ctl .true.
    
@@ -421,5 +420,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg jpnij 6
     set_namelist 1_namelist_cfg ln_ctl .true.
 
@@ -448,5 +446,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 6
     set_namelist namelist_cfg ln_ctl .true.
 
@@ -457,5 +454,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg jpnij 6
     set_namelist 1_namelist_cfg ln_ctl .true.
 
@@ -597,5 +593,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 6
     set_namelist namelist_cfg ln_ctl .true.
 
@@ -612,5 +607,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg jpnij 6
     set_namelist 1_namelist_cfg ln_ctl .true.
 
@@ -645,5 +639,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 6
     set_namelist namelist_cfg ln_ctl .true.
 
@@ -660,5 +653,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg jpnij 6
     set_namelist 1_namelist_cfg ln_ctl .true.
 
@@ -703,5 +695,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 15
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -725,5 +716,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 15
     set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg cn_ocerst_in \"ISOMIP_LONG_00000048_restart\"
@@ -760,5 +750,4 @@
     set_namelist namelist_cfg jpni 7
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg jpnij 21
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -784,5 +773,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then