Index: /utils/CI/sette/sette.sh
===================================================================
--- /utils/CI/sette/sette.sh	(revision 10432)
+++ /utils/CI/sette/sette.sh	(revision 10433)
@@ -1007,16 +1007,20 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
+    set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 2_namelist_cfg nn_it000 1
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
+    set_namelist 2_namelist_cfg ln_ctl .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 3_namelist_cfg nn_it000 1
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
+    set_namelist 3_namelist_cfg ln_ctl .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1036,4 +1040,5 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -1042,4 +1047,5 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
+    set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
@@ -1048,4 +1054,5 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
+    set_namelist 2_namelist_cfg ln_ctl .true.
     set_namelist 2_namelist_cfg ln_rstart .true.
     set_namelist 2_namelist_cfg nn_rstctl 2
@@ -1054,4 +1061,5 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
+    set_namelist 3_namelist_cfg ln_ctl .true.
     set_namelist 3_namelist_cfg ln_rstart .true.
     set_namelist 3_namelist_cfg nn_rstctl 2
@@ -1189,4 +1197,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
+    set_namelist namelist_cfg ln_ctl .true.
 
 #   Set the number of fine grids to zero:    
@@ -1222,4 +1231,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
+    set_namelist namelist_cfg ln_ctl .true.
 #
     if [ ${USING_MPMD} == "yes" ] ; then
Index: /utils/CI/sette/sette_test-cases.sh
===================================================================
--- /utils/CI/sette/sette_test-cases.sh	(revision 10432)
+++ /utils/CI/sette/sette_test-cases.sh	(revision 10433)
@@ -169,4 +169,5 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_ctl .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -185,4 +186,5 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -253,4 +255,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg nn_itend 120
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -270,4 +273,5 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -340,10 +344,12 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    
+    set_namelist namelist_cfg ln_ctl .true.
+
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 720
     set_namelist 1_namelist_cfg nn_stock 360
-    
+    set_namelist 1_namelist_cfg ln_ctl .true.
+	
     if [ ${USING_MPMD} == "yes" ] ; then
         set_xio_using_server iodef.xml true
@@ -362,4 +368,5 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -369,4 +376,5 @@
     set_namelist 1_namelist_cfg nn_it000 361
     set_namelist 1_namelist_cfg nn_itend 720
+    set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg nn_stock 360
     set_namelist 1_namelist_cfg ln_rstart .true.
@@ -488,4 +496,5 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg nn_stock 100
     
@@ -493,4 +502,5 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
+    set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg nn_stock 300
     
@@ -510,4 +520,5 @@
     set_namelist namelist_cfg nn_it000 101
     set_namelist namelist_cfg nn_itend 200
+    set_namelist namelist_cfg ln_ctl .true.
     set_namelist namelist_cfg nn_stock 100
     set_namelist namelist_cfg ln_rstart .true.
@@ -519,4 +530,5 @@
     set_namelist 1_namelist_cfg nn_it000 301
     set_namelist 1_namelist_cfg nn_itend 600
+    set_namelist 1_namelist_cfg ln_ctl .true.
     set_namelist 1_namelist_cfg nn_stock 300
     set_namelist 1_namelist_cfg ln_rstart .true.