Index: NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/Namelists/nam_wad
===================================================================
--- NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/Namelists/nam_wad	(revision 10466)
+++ NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/Namelists/nam_wad	(revision 10467)
@@ -11,3 +11,5 @@
    rn_wdld           =  2.5     ! Land elevation below which wetting/drying is allowed
    nn_wdit           =   20     ! Max iterations for W/D limiter
+   rn_wd_sbcdep      =  5.0     ! Depth at which to taper sbc fluxes
+   rn_wd_sbcfra      =  0.999   ! Fraction of SBC fluxes at taper depth (Must be <1)
 /
Index: NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/WAD_doc.tex
===================================================================
--- NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/WAD_doc.tex	(revision 10466)
+++ NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/WAD_doc.tex	(revision 10467)
@@ -55,5 +55,10 @@
 Points where the water depth is less than $\mathrm{rn\_wdmin1}$ are interpreted as ``dry''. 
 $\mathrm{rn\_wdmin1}$ is usually chosen to be of order $0.05$m but extreme topographies 
-with very steep slopes require larger values for normal choices of time-step. 
+with very steep slopes require larger values for normal choices of time-step. Surface fluxes 
+are also switched off for dry cells to prevent freezing, boiling etc. of very thin water layers.
+The fluxes are tappered down using a $\mathrm{tanh}$ weighting function 
+to no flux as the dry limit $\mathrm{rn\_wdmin1}$ is approached. Even wet cells can be very shallow.
+The depth at which to start tapering is controlled by the user by setting $\mathrm{rn\_wd\_sbcdep}$.
+The fraction $(<1)$ of sufrace fluxes to use at this depth is set by $\mathrm{rn\_wd\_sbcfra}$.
 
 Both versions of the code have been tested in six test cases provided in the WAD\_TEST\_CASES configuration
@@ -511,5 +516,6 @@
 % ================================================================
 
-\bibliographystyle{wileyqj}
+%\bibliographystyle{wileyqj}
+\bibliographystyle{../../../doc/latex/NEMO/main/ametsoc.bst}
 \bibliography{references}
 
Index: NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/references.bib
===================================================================
--- NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/references.bib	(revision 10466)
+++ NEMO/branches/UKMO/dev_10448_WAD_SBC_BUGFIX/tests/WAD/MY_DOCS/references.bib	(revision 10467)
@@ -8,16 +8,29 @@
 
 @article{Oey06,
-	author = {L-Y Oey},
-	title = {An OGCM with movable land--sea boundaries},
-	journal = {Ocean Mod.},
-	year = {2006},
-	volume = {13},
-	pages = {176--195}}
+   title = "An OGCM with movable land-sea boundaries",
+   journal = "Ocean Modelling",
+   volume = "13",
+   number = "2",
+   pages = "176 - 195",
+   year = "2006",
+   issn = "1463-5003",
+   doi = "https://doi.org/10.1016/j.ocemod.2006.01.001",
+   url = "http://www.sciencedirect.com/science/article/pii/S1463500306000084",
+   author = "Lie-Yauw Oey",
+   keywords = "Wetting and drying, Inundations, Ocean general circulation model (OGCM), Princeton Ocean Model (POM), Tides, Tsunamis, Estuarine outflows",
+   abstract = "An ocean general circulation model (OGCM) with wetting and drying (WAD) capabilities removes the vertical-wall coastal assumption and allows simultaneous modeling of open-ocean currents and water run-up (and run-down) across movable land-sea boundaries. This paper implements and tests such a WAD scheme for the Princeton Ocean Model (POM) in its most general three-dimensional setting with stratification, bathymetry and forcing. The scheme can be easily exported to other OGCM's."
+}
 
 @article{WarnerEtal13,
-	author = {J C Warner and Z Defne and K Haas and H G Arango},
-	title = {{A wetting and drying scheme for ROMS}},
-	journal = {Computers and Geosc.},
-	year = {2013},
-	volume = {58},
-	pages = {54--61}}
+   title = "A wetting and drying scheme for ROMS",
+   journal = "Computers \& Geosciences",
+   volume = "58",
+   pages = "54 - 61",
+   year = "2013",
+   issn = "0098-3004",
+   doi = "https://doi.org/10.1016/j.cageo.2013.05.004",
+   url = "http://www.sciencedirect.com/science/article/pii/S0098300413001362",
+   author = "John C. Warner and Zafer Defne and Kevin Haas and Hernan G. Arango",
+   keywords = "Wetting and drying, ROMS, Cell-face blocking",
+   abstract = "The processes of wetting and drying have many important physical and biological impacts on shallow water systems. Inundation and dewatering effects on coastal mud flats and beaches occur on various time scales ranging from storm surge, periodic rise and fall of the tide, to infragravity wave motions. To correctly simulate these physical processes with a numerical model requires the capability of the computational cells to become inundated and dewatered. In this paper, we describe a method for wetting and drying based on an approach consistent with a cell-face blocking algorithm. The method allows water to always flow into any cell, but prevents outflow from a cell when the total depth in that cell is less than a user defined critical value. We describe the method, the implementation into the three-dimensional Regional Oceanographic Modeling System (ROMS), and exhibit the new capability under three scenarios: an analytical expression for shallow water flows, a dam break test case, and a realistic application to part of a wetland area along the Georgia Coast, USA."
+}