Index: NEMO/trunk/tests/ICE_ADV1D/cpp_ICEADV.fcm
===================================================================
--- NEMO/trunk/tests/ICEADV/cpp_ICEADV.fcm	(revision 10431)
+++ 	(revision )
@@ -1,1 +1,0 @@
-bld::tool::fppkeys key_si3 key_mpp_mpi key_nosignedzero key_iomput
Index: NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/tests/ICEADV/EXPREF/namelist_cfg	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 10513)
@@ -2,5 +2,5 @@
 !! NEMO  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEADV (LIPSCOMB test) configuration                 !!
+!!               ICE_ADV1D configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEADV user defined namelist
+&namusr_def    !   ICE_ADV1D user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    4.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEADV"    !  experience name
+   cn_exp      =  "ICE_ADV1D" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =      40      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEADV_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_ADV1D_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
===================================================================
--- NEMO/trunk/tests/ICEADV/EXPREF/namelist_cfg_120pts	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 10513)
@@ -2,5 +2,5 @@
 !! NEMO  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEADV (LIPSCOMB test) configuration                 !!
+!!               ICE_ADV1D configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEADV user defined namelist
+&namusr_def    !   ICE_ADV1D user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    4.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEADV"    !  experience name
+   cn_exp      =  "ICE_ADV1D" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =      80      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEADV_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_ADV1D_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
===================================================================
--- NEMO/trunk/tests/ICEADV/EXPREF/namelist_cfg_240pts	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 10513)
@@ -2,5 +2,5 @@
 !! NEMO  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEADV (LIPSCOMB test) configuration                 !!
+!!               ICE_ADV1D configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEADV user defined namelist
+&namusr_def    !   ICE_ADV1D user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    4.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEADV"    !  experience name
+   cn_exp      =  "ICE_ADV1D" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =     160      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEADV_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_ADV1D_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
===================================================================
--- NEMO/trunk/tests/ICEADV/EXPREF/namelist_cfg_60pts	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 10513)
@@ -2,5 +2,5 @@
 !! NEMO  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEADV (LIPSCOMB test) configuration                 !!
+!!               ICE_ADV1D configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEADV user defined namelist
+&namusr_def    !   ICE_ADV1D user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    4.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEADV"    !  experience name
+   cn_exp      =  "ICE_ADV1D" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =      40      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEADV_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_ADV1D_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/trunk/tests/ICEADV/MY_SRC/usrdef_hgr.F90	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90	(revision 10513)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_hgr  ***
    !!
-   !!                      ===  ICEADV configuration  ===
+   !!                      ===  ICE_ADV1D configuration  ===
    !!
    !! User defined :   mesh and Coriolis parameter of a user configuration
@@ -11,5 +11,5 @@
 
    !!----------------------------------------------------------------------
-   !!   usr_def_hgr    : initialize the horizontal mesh for ICEADV configuration
+   !!   usr_def_hgr    : initialize the horizontal mesh for ICE_ADV1D configuration
    !!----------------------------------------------------------------------
    USE dom_oce         ! ocean space and time domain
@@ -45,5 +45,5 @@
       !!
       !! ** Method  :   set all intent(out) argument to a proper value
-      !!                ICEADV configuration : uniform grid spacing (rn_dx)
+      !!                ICE_ADV1D configuration : uniform grid spacing (rn_dx)
       !!                without Coriolis force (f=0)
       !!
@@ -68,5 +68,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_hgr : ICEADV configuration bassin'
+      IF(lwp) WRITE(numout,*) 'usr_def_hgr : ICE_ADV1D configuration bassin'
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) '          f-plane with regular grid-spacing rn_dx, rn_dy'
Index: NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/trunk/tests/ICEADV/MY_SRC/usrdef_nam.F90	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_nam.F90	(revision 10513)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_nam  ***
    !!
-   !!                      ===  ICEADV configuration  ===
+   !!                      ===  ICE_ADV1D configuration  ===
    !!
    !! User defined : set the domain characteristics of a user configuration
@@ -48,5 +48,5 @@
       !! ** Method  :   read in namusr_def containing all the user specific namelist parameter
       !!
-      !!                Here ICEADV configuration
+      !!                Here ICE_ADV1D configuration
       !!
       !! ** input   : - namusr_def namelist found in namelist_cfg
@@ -72,8 +72,8 @@
       WRITE( ldnam(:), namusr_def )
       !
-      cd_cfg = 'ICEADV'           ! name & resolution (not used)
+      cd_cfg = 'ICE_ADV1D'           ! name & resolution (not used)
       kk_cfg = INT( rn_dx )
       !
-      ! Global Domain size:  ICEADV domain is  480 m x 480 m x 10 m
+      ! Global Domain size:  ICE_ADV1D domain is  480 m x 480 m x 10 m
       kpi = INT( 480.*0.5 / rn_dx ) -1
       kpj = INT( 480.*0.5 / rn_dy ) -1
@@ -86,8 +86,8 @@
       WRITE(ldtxt(ii),*) 'usr_def_nam  : read the user defined namelist (namusr_def) in namelist_cfg'   ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '~~~~~~~~~~~ '                                                                 ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '   Namelist namusr_def : ICEADV test case'                                    ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '   Namelist namusr_def : ICE_ADV1D test case'                                 ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      horizontal resolution                    rn_dx  = ', rn_dx, ' meters'   ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      horizontal resolution                    rn_dy  = ', rn_dy, ' meters'   ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      ICEADV domain  '                                                        ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      ICE_ADV1D domain  '                                                     ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         LX [km]: ', zlx                                                      ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         LY [km]: ', zly                                                      ;   ii = ii + 1
@@ -98,9 +98,9 @@
       !
       !                             ! Set the lateral boundary condition of the global domain
-      kperio = 0                    ! ICEADV configuration : bi-periodic basin
+      kperio = 0                    ! ICE_ADV1D configuration : bi-periodic basin
       !
       WRITE(ldtxt(ii),*) '   '                                                                          ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '   Lateral boundary condition of the global domain'                           ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      ICEADV : closed basin                    jperio = ', kperio             ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      ICE_ADV1D : closed basin                    jperio = ', kperio          ;   ii = ii + 1
       !
    END SUBROUTINE usr_def_nam
Index: NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/trunk/tests/ICEADV/MY_SRC/usrdef_sbc.F90	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_sbc.F90	(revision 10513)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_sbc  ***
    !! 
-   !!                      ===  ICEADV configuration  ===
+   !!                      ===  ICE_ADV1D configuration  ===
    !!
    !! User defined :   surface forcing of a user configuration
@@ -11,5 +11,5 @@
 
    !!----------------------------------------------------------------------
-   !!   usr_def_sbc    : user defined surface bounday conditions in ICEADV case
+   !!   usr_def_sbc    : user defined surface bounday conditions in ICE_ADV1D case
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
@@ -49,5 +49,5 @@
       !!              condition, i.e. the momentum, heat and freshwater fluxes.
       !!
-      !! ** Method  :   all 0 fields, for ICEADV case
+      !! ** Method  :   all 0 fields, for ICE_ADV1D case
       !!                CAUTION : never mask the surface stress field !
       !!
@@ -61,5 +61,5 @@
       IF( kt == nit000 ) THEN
          !
-         IF(lwp)   WRITE(numout,*)' usrdef_sbc_oce : ICEADV case: NO surface forcing'
+         IF(lwp)   WRITE(numout,*)' usrdef_sbc_oce : ICE_ADV1D case: NO surface forcing'
          ! --- oce variables --- !
          utau(:,:) = 0._wp 
@@ -91,5 +91,5 @@
       INTEGER, INTENT(in) ::   kt   ! ocean time step
       !!---------------------------------------------------------------------
-      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICEADV case: no stress forcing'
+      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICE_ADV1D case: no stress forcing'
       !
       utau_ice(:,:) = 0._wp
@@ -112,5 +112,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICEADV case: NO flux forcing'
+      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICE_ADV1D case: NO flux forcing'
       !
       ! ocean variables (renaming)
Index: NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/trunk/tests/ICEADV/MY_SRC/usrdef_zgr.F90	(revision 10431)
+++ NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_zgr.F90	(revision 10513)
@@ -3,5 +3,5 @@
    !!                   ***  MODULE  usrdef_zgr  ***
    !!
-   !!                   ===      ICEADV case     ===
+   !!                   ===      ICE_ADV1D case     ===
    !!
    !! Ocean domain : user defined vertical coordinate system 
@@ -59,9 +59,9 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_zgr : ICEADV configuration (slab ocean - advection of ice in one direction)'
+      IF(lwp) WRITE(numout,*) 'usr_def_zgr : ICE_ADV1D configuration (slab ocean - advection of ice in one direction)'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       !
       !
-      ! type of vertical coordinate  ==>>>   here ICEADV : slab ocean always
+      ! type of vertical coordinate  ==>>>   here ICE_ADV1D : slab ocean always
       ! ---------------------------
       ld_zco    = .TRUE.       ! z-full-step coordinate
Index: NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm
===================================================================
--- NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 10513)
+++ NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 10513)
@@ -0,0 +1,1 @@
+bld::tool::fppkeys key_si3 key_mpp_mpi key_nosignedzero key_iomput