Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 10516)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite defaults values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEDYN (SAS BIPERIODIC) configuration                !!
+!!               ICE_AGRIF configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEDYN user defined namelist
+&namusr_def    !   ICE_AGRIF user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    1000.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEDYN"    !  experience name
+   cn_exp      =  "ICE_AGRIF" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =    1500      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEDYN_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_AGRIF_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_ice_cfg
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_ice_cfg	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/1_namelist_ice_cfg	(revision 10516)
@@ -28,5 +28,4 @@
 &namitd         !   Ice discretization
 !------------------------------------------------------------------------------
-   rn_himin         =   0.1           !  minimum ice thickness (m) used in remapping
 /
 !------------------------------------------------------------------------------
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/README
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/README	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/README	(revision 10516)
@@ -2,12 +2,6 @@
 Purpose
 -------
-This demonstration case can serve to different purposes:
-
-1) The main one: study of the advection of a patch of ice in a bi-periodic channel with a slab ocean (i.e. 1 ocean layer)
-              ==> set ln_icethd=false in namelist_ice_cfg
-
-2) Secondary: study of ice thermodynamics in the same basin
-              ==> set ln_icedyn=false in namelist_ice_cfg
-              ==> eventually change usrdef_sbc.F90 in MY_SRC to fit your needs
+This demonstration case can be used to study the advection of a patch of ice in a bi-periodic channel
+with a slab ocean (i.e. 1 ocean layer) and an agrif zoom in the center
 
 -----------
@@ -17,8 +11,8 @@
 
 a) A simple channel at 3km horizontal resolution (slightly variable => +- 10%)
-              ==> remove key_agrif in cpp keys
+              ==> in MY_SRC/usrdef_hgr.F90, uncomment the part "variable scale factors" and comment part "constant scale factors"
 
-b) Same as a) but with an Agrif zoom in the center 1:3, and 3 ghost cells
-              ==> add key_agrif in cpp keys
+b) A simple channel at 3km horizontal resolution (constant scale factors)
+              ==> in MY_SRC/usrdef_hgr.F90, comment the part "variable scale factors" and uncomment part "constant scale factors"
 
 ----------
@@ -27,6 +21,6 @@
 
 a) Compile and run the model once to get a mesh_mask.nc file with the following command:
-../../../makenemo -a TEST_CASES -n ICEDYN -m X64_ADA -j 4
-poe ./opa -procs 1
+../../../makenemo -r ICE_AGRIF -n ICE_AGRIF -m X64_ADA -j 4
+mpirun ./nemo -np 1
 
 b) Create the initial condition file for sea-ice (initice.nc) by running this python script: 
@@ -34,27 +28,13 @@
 
 c) Run the model a second time
-poe ./opa -procs 4
+mpirun ./nemo -np 4
 
 ---------------
 What to look at
 ---------------
-In case of purpose 1, One can test
----
-a) the advection scheme: Ultimate-Macho (ln_adv_UMx=T) versus Prather (ln_adv_Pra=T)
+the advection through an agrif zoom 1:3
    for a square (ice concentration) or a gaussian (ice volume)
-      with either a constant velocity (ln_dynADV=T)
+      with either a constant velocity (ln_dynADV2D=T)
                or a constant ice-atm. stress, thus velocity is calculated by rheology (ln_dynRHGADV=T)
       with 1 or 5 ice categories (jpl=1 or 5)
-
-b) the advection through an agrif zoom 1:3
-
-In case of purpose 2, one can test conservation of properties:
----
-c) ice should not change at all if surface fluxes = 0 and SST = freezing temperature
-
---------------------------------------
-Interpretation of the results (remarks)
---------------------------------------
-- Prather conserves the max values but also creates side lobes
-- UM does not conserve the max but does not create side lobes
-- The "unmoving" ice (if any) is due to ice rheology which states that ice mass below a certain thresold (1kg/m2) is considered to move at the ocean velocity (thus 0 m/s)
+         (note that ln_dynADV2D=T only works with jpl=1)
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/file_def_nemo-ice.xml
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/file_def_nemo-ice.xml	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/file_def_nemo-ice.xml	(revision 10516)
@@ -11,5 +11,5 @@
     
     
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE.">  <!-- 1 day files -->   	
+      <file_group id="5ts" output_freq="5ts"  output_level="10" enabled=".TRUE.">  <!-- 1 day files -->   	
 
 	<file id="file1" name_suffix="_icemod" description="ice variables" enabled=".true." >
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/make_INITICE.py
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/make_INITICE.py	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/make_INITICE.py	(revision 10516)
@@ -89,13 +89,4 @@
 
 # --------------------------------------
-# for basin=99x99km with dx=1km ; dy=3km
-#sigx=-0.04
-#sigy=-0.04*9.
-#xshift=50.-1.
-#yshift=17.-1.
-#dlat=7
-#dlon=21
-
-# --------------------------------------
 # for basin=99x99km with dx=1km ; dy=1km
 #sigx=-0.04
@@ -114,26 +105,7 @@
 #        cdfsmi[:,y,x] = rn_smi_ini
 #
-# --- Lipscomb 2004 experiment ---
-#cdfhti[:,:,:]=1.
-#cdfati[:,:,:]=0.1
-#for y in np.arange(0,LAT1,1) :
-#    for x in np.arange(0,LON1,1) :
-#        if (x > ceil(0.5*xshift) and x < xshift): # and (y > ceil(0.5*yshift) and y < yshift):
-#            cdfati[:,y,x] = rn_ati_ini / (ceil(0.5*xshift)*ceil(0.5*yshift)) * (x - ceil(0.5*xshift)) * (y - ceil(0.5*yshift))
-#            cdfsmi[:,y,x] = rn_smi_ini / (ceil(0.5*xshift)*ceil(0.5*yshift)) * (x - ceil(0.5*xshift)) * (y - ceil(0.5*yshift))
-#            cdfhti[:,y,x] = rn_hti_ini
-#            cdfhts[:,y,x] = rn_hts_ini
-#        if (x >= 25. and x < 50.):
-#            cdfati[:,y,x] = 0.9 * (x - 25.) / 25.
-#            cdfhti[:,y,x] = 1.
-#        elif (x >= 50. and x <= 75.):
-#            cdfati[:,y,x] = 0.9
-#            cdfhti[:,y,x] = 1.
-#        if (x > 30. and x < 70.):
-#            cdfhti[:,y,x] = 0.2
-            
             
 # ----------------------------------------------
-# for basin=99x99km with dx=1km ; dy=1km + AGRIF
+# for basin=300x300km with dx=3km ; dy=3km + AGRIF
 sigx=-0.012
 sigy=-0.012
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 10516)
@@ -2,5 +2,5 @@
 !! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!               ICEDYN (SAS BIPERIODIC) configuration                !!
+!!               ICE_AGRIF configuration                              !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   ICEDYN user defined namelist
+&namusr_def    !   ICE_AGRIF user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    3000.   ! horizontal resolution in meters
@@ -29,5 +29,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "ICEDYN"    !  experience name
+   cn_exp      =  "ICE_AGRIF" !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =     500      !  last  time step (std 5475)
@@ -48,5 +48,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "ICEDYN_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICE_AGRIF_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_ice_cfg
===================================================================
--- NEMO/trunk/tests/ICEDYN/EXPREF/namelist_ice_cfg	(revision 10432)
+++ NEMO/trunk/tests/ICE_AGRIF/EXPREF/namelist_ice_cfg	(revision 10516)
@@ -28,5 +28,4 @@
 &namitd         !   Ice discretization
 !------------------------------------------------------------------------------
-   rn_himin         =   0.1           !  minimum ice thickness (m) used in remapping
 /
 !------------------------------------------------------------------------------